package com.shkj.wms.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author lch
 */
@Getter
@AllArgsConstructor
public enum ExceptionTipsEnum {

    /**
     * 0、订单汇总不存在
     */
    ORDER_MISTAKE_0("0", "订单汇总不存在"),
    /**
     * 1、订单汇总必须一致
     */
    ORDER_MISTAKE_1("1", "订单汇总必须一致"),
    /**
     * 2、您没有操作该库房的权限
     */
    ORDER_MISTAKE_2("2", "您没有操作该库房的权限"),
    /**
     * 3、查询出多条异常数据
     */
    ORDER_MISTAKE_3("3", "查询出多条异常数据"),
    /**
     * 4、提取的订单为整单签收
     */
    ORDER_MISTAKE_4("4", "提取的订单为整单签收"),
    /**
     * 5、保存不成功，需保存整单单据
     */
    ORDER_MISTAKE_5("5", "保存不成功，需保存整单单据"),
    /**
     * 6、保存不成功，该商品属性为整散分开
     */
    ORDER_MISTAKE_6("6", "保存不成功，该商品属性为整散分开"),
    /**
     * 7、商品资料不完整，请进行维护
     */
    ORDER_MISTAKE_7("7", "商品资料不完整，请进行维护"),
    /**
     * 8、整散分开的整件商品只能绑定托盘
     */
    ORDER_MISTAKE_8("8", "整散分开的整件商品只能绑定托盘"),
    /**
     * 9、
     */
    ORDER_MISTAKE_9("9", "请选择需要清理的订单"),
    /**
     * 10、
     */
    ORDER_MISTAKE_10("10", "删除数据汇总信息不一致"),
    /**
     * 11、
     */
    ORDER_MISTAKE_11("11", "回写失败，上架明细查询异常，请咨询管理员"),
    /**
     * 12、
     */
    ORDER_MISTAKE_12("12", "数据不存在异常！"),
    ;
    private String value;
    private String desc;

}
